## org.eclipse.xsd.impl
Class XSDModelGroupDefinitionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDNamedComponentImpl
                              org.eclipse.xsd.impl.XSDRedefinableComponentImpl
                                  org.eclipse.xsd.impl.XSDModelGroupDefinitionImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDModelGroupDefinition, XSDNamedComponent, XSDParticleContent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent

    public class XSDModelGroupDefinitionImpl

extends XSDRedefinableComponentImpl
implements XSDModelGroupDefinition

An implementation of the model object 'Model Group Definition'.

The following features are implemented:

- `Model Group Definition Reference`
- `Annotation`
- `Model Group`
- `Resolved Model Group Definition`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`XSDNamedComponentImpl.Comparator, XSDNamedComponentImpl.StringPairComparator, XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>`

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected int` `analysisState`
`protected XSDAnnotation` `annotation` The cached value of the '`Annotation`' containment reference
`protected static boolean` `MODEL_GROUP_DEFINITION_REFERENCE_EDEFAULT` The default value of the '`Model Group Definition Reference`' attribute
`protected XSDModelGroup` `modelGroup` The cached value of the '`Model Group`' containment reference
`protected XSDModelGroupDefinition` `resolvedModelGroupDefinition` The cached value of the '`Resolved Model Group Definition`' reference

Fields inherited from class org.eclipse.xsd.impl.XSDRedefinableComponentImpl
`CIRCULAR_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`ALIAS_NAME_EDEFAULT, ALIAS_URI_EDEFAULT, name, NAME_EDEFAULT, QNAME_EDEFAULT, TARGET_NAMESPACE_EDEFAULT, targetNamespace, URI_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDModelGroupDefinitionImpl()`

Method Summary
`protected void` `adoptContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected boolean` `analyze()`
`NotificationChain` `basicSetAnnotation(XSDAnnotation newAnnotation, NotificationChain msgs)`
`NotificationChain` `basicSetModelGroup(XSDModelGroup newModelGroup, NotificationChain msgs)`
`protected void` `changeReference(EReference eReference)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`org.w3c.dom.Element` `createElement()`
`static XSDModelGroupDefinition` `createModelGroupDefinition(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDAnnotation` `getAnnotation()`
`XSDModelGroup` `getModelGroup()`
`java.lang.Boolean` `getModelGroupDefinitionReference()`
`java.lang.String` `getQName()` Returns the value of the 'QName' attribute
`XSDModelGroupDefinition` `getResolvedModelGroupDefinition()`
`XSDNamedComponent` `getResolvedNamedComponent()`
`protected void` `handleAnalysis()`
`protected void` `handleNewResolvedModelGroupDefinition(XSDModelGroupDefinition newResolvedModelGroupDefinition)`
`protected void` `handleReconciliation(java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`protected void` `handleUnreconciledElement(org.w3c.dom.Element child, java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`boolean` `isCircular()`
`boolean` `isModelGroupDefinitionReference()` Returns the value of the 'Model Group Definition Reference' attribute
`boolean` `isNamedComponentReference()`
`protected boolean` `isUpdatingDOM()`
`protected void` `orphanContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected void` `patch()`
`protected void` `patchTargetNamespaceAttribute(XSDSchema xsdSchema)`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `setAnnotation(XSDAnnotation newAnnotation)`
`void` `setModelGroup(XSDModelGroup newModelGroup)`
`void` `setResolvedModelGroupDefinition(XSDModelGroupDefinition newResolvedModelGroupDefinition)`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDRedefinableComponentImpl
`getCircular`

Methods inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`addToSortedList, adoptBy, changeAttribute, findInSortedList, getAliasName, getAliasURI, getName, getQName, getTargetNamespace, getURI, getURIReferenceLabel, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, mergeToSortedList, patchTargetNamespaceAttribute, reconcileNameAttribute, setName, setTargetNamespace, sortNamedComponents, toString`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptDiagnostic, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### MODEL_GROUP_DEFINITION_REFERENCE_EDEFAULT

    protected static final boolean MODEL_GROUP_DEFINITION_REFERENCE_EDEFAULT

  The default value of the '`Model Group Definition Reference`' attribute.

  See Also:
    `isModelGroupDefinitionReference()`, Constant Field Values

### annotation

    protected XSDAnnotation annotation

  The cached value of the '`Annotation`' containment reference.

  See Also:
    `getAnnotation()`

### modelGroup

    protected XSDModelGroup modelGroup

  The cached value of the '`Model Group`' containment reference.

  See Also:
    `getModelGroup()`

### resolvedModelGroupDefinition

    protected XSDModelGroupDefinition resolvedModelGroupDefinition

  The cached value of the '`Resolved Model Group Definition`' reference.

  See Also:
    `getResolvedModelGroupDefinition()`

### analysisState

    protected int analysisState

Constructor Detail

### XSDModelGroupDefinitionImpl

    protected XSDModelGroupDefinitionImpl()

Method Detail

### createModelGroupDefinition

    public static XSDModelGroupDefinition createModelGroupDefinition(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDRedefinableComponentImpl`

### getModelGroupDefinitionReference

    public java.lang.Boolean getModelGroupDefinitionReference()

### isUpdatingDOM

    protected boolean isUpdatingDOM()

  Overrides:
    `isUpdatingDOM` in class `XSDConcreteComponentImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### patch

    protected void patch()

  Overrides:
    `patch` in class `XSDNamedComponentImpl`

### analyze

    protected boolean analyze()

  Overrides:
    `analyze` in class `XSDConcreteComponentImpl`

### handleAnalysis

    protected void handleAnalysis()

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### patchTargetNamespaceAttribute

    protected void patchTargetNamespaceAttribute(XSDSchema xsdSchema)

  Overrides:
    `patchTargetNamespaceAttribute` in class `XSDNamedComponentImpl`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDNamedComponentImpl`

### handleNewResolvedModelGroupDefinition

    protected void handleNewResolvedModelGroupDefinition(XSDModelGroupDefinition newResolvedModelGroupDefinition)

### handleUnreconciledElement

    protected void handleUnreconciledElement(org.w3c.dom.Element child,
                                             java.util.List<XSDConcreteComponent> newContents,
                                             java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleUnreconciledElement` in class `XSDConcreteComponentImpl`

### handleReconciliation

    protected void handleReconciliation(java.util.List<XSDConcreteComponent> newContents,
                                        java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleReconciliation` in class `XSDConcreteComponentImpl`

### changeReference

    protected void changeReference(EReference eReference)

  Overrides:
    `changeReference` in class `XSDConcreteComponentImpl`

### adoptContent

    protected void adoptContent(EReference eReference,
                                XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `adoptContent` in class `XSDConcreteComponentImpl`

### orphanContent

    protected void orphanContent(EReference eReference,
                                 XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `orphanContent` in class `XSDConcreteComponentImpl`

### isModelGroupDefinitionReference

    public boolean isModelGroupDefinitionReference()

  Description copied from interface: `XSDModelGroupDefinition`
  Returns the value of the 'Model Group Definition Reference' attribute.

  This concrete attribute is equivalent to

        xsdModelGroupDefinition != xsdModelGroupDefinition.getResolvedModelGroupDefinition()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent a model group definition with a ref attribute.

  Specified by:
    `isModelGroupDefinitionReference` in interface `XSDModelGroupDefinition`
  Returns:
    the value of the 'Model Group Definition Reference' attribute.
  See Also:
    `XSDModelGroupDefinition.getResolvedModelGroupDefinition()`, `XSDPackage.getXSDModelGroupDefinition_ModelGroupDefinitionReference()`

### getAnnotation

    public XSDAnnotation getAnnotation()

  Specified by:
    `getAnnotation` in interface `XSDModelGroupDefinition`
  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `XSDModelGroupDefinition.setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDModelGroupDefinition_Annotation()`

### setAnnotation

    public void setAnnotation(XSDAnnotation newAnnotation)

  Specified by:
    `setAnnotation` in interface `XSDModelGroupDefinition`
  Parameters:
    `newAnnotation` - the new value of the 'Annotation' containment reference.
  See Also:
    `XSDModelGroupDefinition.getAnnotation()`

### basicSetAnnotation

    public NotificationChain basicSetAnnotation(XSDAnnotation newAnnotation,
                                                NotificationChain msgs)

### getModelGroup

    public XSDModelGroup getModelGroup()

  Specified by:
    `getModelGroup` in interface `XSDModelGroupDefinition`
  Returns:
    the value of the 'Model Group' containment reference.
  See Also:
    `XSDModelGroupDefinition.setModelGroup(XSDModelGroup)`, `XSDPackage.getXSDModelGroupDefinition_ModelGroup()`

### setModelGroup

    public void setModelGroup(XSDModelGroup newModelGroup)

  Specified by:
    `setModelGroup` in interface `XSDModelGroupDefinition`
  Parameters:
    `newModelGroup` - the new value of the 'Model Group' containment reference.
  See Also:
    `XSDModelGroupDefinition.getModelGroup()`

### basicSetModelGroup

    public NotificationChain basicSetModelGroup(XSDModelGroup newModelGroup,
                                                NotificationChain msgs)

### getResolvedModelGroupDefinition

    public XSDModelGroupDefinition getResolvedModelGroupDefinition()

  Specified by:
    `getResolvedModelGroupDefinition` in interface `XSDModelGroupDefinition`
  Returns:
    the value of the 'Resolved Model Group Definition' reference.
  See Also:
    `XSDModelGroupDefinition.isModelGroupDefinitionReference()`, `XSDModelGroupDefinition.setResolvedModelGroupDefinition(XSDModelGroupDefinition)`, `XSDPackage.getXSDModelGroupDefinition_ResolvedModelGroupDefinition()`

### setResolvedModelGroupDefinition

    public void setResolvedModelGroupDefinition(XSDModelGroupDefinition newResolvedModelGroupDefinition)

  Specified by:
    `setResolvedModelGroupDefinition` in interface `XSDModelGroupDefinition`
  Parameters:
    `newResolvedModelGroupDefinition` - the new value of the 'Resolved Model Group Definition' reference.
  See Also:
    `XSDModelGroupDefinition.getResolvedModelGroupDefinition()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDConcreteComponentImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDRedefinableComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDNamedComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDNamedComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDRedefinableComponentImpl`

### getQName

    public java.lang.String getQName()

  Description copied from interface: `XSDNamedComponent`
  Returns the value of the 'QName' attribute.

  This concrete attribute is equivalent to

        xsdNamedComponent.getQName(xsdNamedComponent)

  Specified by:
    `getQName` in interface `XSDNamedComponent`
  Overrides:
    `getQName` in class `XSDNamedComponentImpl`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `XSDNamedComponent.getQName(org.eclipse.xsd.XSDConcreteComponent)`, `XSDPackage.getXSDNamedComponent_QName()`

### isNamedComponentReference

    public boolean isNamedComponentReference()

  Overrides:
    `isNamedComponentReference` in class `XSDNamedComponentImpl`

### getResolvedNamedComponent

    public XSDNamedComponent getResolvedNamedComponent()

  Overrides:
    `getResolvedNamedComponent` in class `XSDNamedComponentImpl`

### isCircular

    public boolean isCircular()

  Description copied from class: `XSDRedefinableComponentImpl`

  Specified by:
    `isCircular` in interface `XSDRedefinableComponent`
  Overrides:
    `isCircular` in class `XSDRedefinableComponentImpl`
  Returns:
    the value of the 'Circular' attribute.
  See Also:
    `XSDPackage.getXSDRedefinableComponent_Circular()`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.